import { PerformanceObserver } from 'node:perf_hooks';
type duration = number;
type Entry = {
    name: string;
    duration: duration;
};
type EntriesByName = Record<string, duration[]>;
export declare class Performance {
    isEnabled: true;
    startTime: number;
    endTime: number;
    entries: Entry[];
    instanceId: number | undefined;
    fnObserver: PerformanceObserver | undefined;
    constructor(isEnabled: true);
    timerify(fn: any): any;
    setMark(name: string): void;
    clearMark(name: string): void;
    flush(): Promise<void>;
    getEntriesByName(): EntriesByName;
    getTable(): string;
    getTotalTime(): number;
    finalize(): Promise<void>;
    reset(): void;
}
export {};
